$background: #fff;
$search: #f0eff6;
$dark: #2c2830;
$light: #fafeff;
$icon: #929299;

nav {
  position: fixed;
  width: 100%;
  height: 50px;
  background-color: $background;
  padding: 10px;
  display: flex;
  overflow: hidden;

  .expander {
    height: 30px;
    width: 30px;
    font-size: 30px;
    margin-right: 15px;
    display: none;
  }

  #logo {
    height: 30px;
    width: auto;
  }

  .search-bar {
    width: 30%;
    height: 30px;
    background-color: $search;
    border-radius: 5px;
    margin-left: 10%;
    position: relative;

    mat-icon {
      margin: 2px;
      font-size: 26px;
      color: $icon;
    }

    input {
      position: absolute;
      width: calc(100% - 30px);
      height: 100%;
      left: 30px;
      top: 0;
      background: none;
      border: none;
      font-size: 15px;

      &:focus {
        outline: none;
      }
    }
  }

  .theme {
    width: 50px;
    height: 25px;
    background-color: $search;
    position: absolute;
    left: 70%;
    border-radius: 5px;
    margin-top: 2.5px;

    mat-icon {
      width: 25px;
      height: 25px;
      line-height: 25px;
      font-size: 15px;
      text-align: center;
      display: inline-block;
      color: $dark;
      background: none;
      border-radius: inherit;
      transition: 200ms;

      &.selected {
        background-color: $dark;
        color: $light;
      }

      &:hover {
        cursor: pointer;
      }
    }
  }

  .profile {
    position: absolute;
    left: 100%;
    top: 5px;
    transform: translateX(-110%);
    width: 170px;
    height: 40px;
    display: flex;
    user-select: none;

    img {
      width: 30px;
      height: 30px;
      margin: 5px;
      border-radius: 50%;
    }

    .name {
      align-self: center;
      justify-self: center;
      margin-left: 10px;
      color: $dark;
    }

    mat-icon {
      align-self: center;
      justify-self: center;
      margin-left: auto;
      color: $dark;
    }

    &:hover {
      cursor: pointer;
    }
  }

  @media screen and (max-width: 750px) {
    .expander {
      display: block;
    }

    .profile {
      width: 40px;

      .name, mat-icon {
        display: none;
      }
    }

    .theme {
      left: 85%;
    }

    .search-bar {
      width: 50%;
      margin-left: 5%;
    }
  }
}

.spacer {
  width: 100%;
  height: 50px;
}
